require 'rails_helper'

module Fettle
  RSpec.describe Configuration do
    describe '.configure' do
      it 'yields itself' do
        expect { |b| described_class.configure(&b) }
          .to yield_with_args(described_class)
      end
    end

    describe '.add_check' do
      after { described_class.clear_checks! }

      context 'when a symbol is passed' do
        context 'and references a valid check' do
          it 'adds the check' do
            described_class.add_check(:active_record)

            expect(described_class.checks)
              .to include(Checks::ActiveRecordCheck)
          end
        end
      end
    end
  end
end
