require 'spec_helper'
require 'fettle/liveness_check_result'

module Fettle
  RSpec.describe LivenessCheckResult do
    describe '#healthy?' do
      subject { described_class.new(status) }

      let(:status) { true }

      context 'for successful checks' do
        it { is_expected.to be_healthy }
      end

      context 'for failed checks' do
        let(:status) { false }

        it { is_expected.to_not be_healthy }
      end
    end

    describe '#status_code' do
      subject { described_class.new(status).status_code }

      let(:status) { true }

      context 'for successful checks' do
        it { is_expected.to eq(:ok) }
      end

      context 'for failed checks' do
        let(:status) { false }

        it { is_expected.to eq(:ok) }
      end
    end
  end
end
